跳至內容

Image Outpaint

整合

模型 id image-apps-v2/outpaint
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/image-apps-v2/outpaint?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: ≈$0.07 70 API 點數 在此頁面執行

取得 API 金鑰
Utility · 圖像

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

0 / 500

在基礎 outpaint 指示後加入的可選 outpainting 指引,例如:'with a beautiful sunset in the background'。

•必填 image_url
拖放檔案,或

要透過 outpainting 延展之圖像的 URL。

num_images 預設 1

要產生的圖像數量。

進階 output_format · expand_left · expand_right · expand_top · expand_bottom · zoom_out_percentage · seed · enable_safety_checker
output_format 預設 png

結果圖像的檔案格式。

預設 0

左側延展像素數,以黑色填充;接受 0–700。

預設 0

右側延展像素數,以黑色填充;接受 0–700。

預設 0

頂部邊緣延展像素數,以黑色填充;接受 0–700。

預設 0

底部邊緣延展像素數,以黑色填充;接受 0–700。

預設 20

在畫布不變的情況下套用的縮小百分比:50 會使圖像保留原始尺寸的 50%,周圍以黑色填充。提供此設定時,會按指定百分比縮小圖像,並以黑色邊緣填滿釋出的空間。

可重現圖像的種子:模型版本不變時,相同的提示詞與種子會產生相同圖像。

POST /run/image-apps-v2/outpaint?wait=20 報價 → $0.07
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/image-apps-v2/outpaint?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Image Outpaint

透過設定 `expand_left`、`expand_right`、`expand_top` 與 `expand_bottom` 擴展來源圖像(`image_url`),每個值介於 0 到 700 畫素。只有新增的邊界會被填充。`zoom_out_percentage`(0 到 90,預設值 20)會先將原圖在影格內縮小,可選的最多 500 個字元 `prompt` 會引導新增內容。傳回 1 到 4 張 png、jpeg、jpg 或 webp 圖像。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
image_url必填 image
類型url · image
要透過 outpainting 延展之圖像的 URL。
expand_left選填
類型integer
預設值0
0 – 700
左側延展像素數,以黑色填充;接受 0–700。
expand_right選填
類型integer
預設值0
0 – 700
右側延展像素數,以黑色填充;接受 0–700。
expand_top選填
類型integer
預設值0
0 – 700
頂部邊緣延展像素數,以黑色填充;接受 0–700。
expand_bottom選填
類型integer
預設值0
0 – 700
底部邊緣延展像素數,以黑色填充;接受 0–700。
zoom_out_percentage選填
類型number
預設值20
0 – 90
在畫布不變的情況下套用的縮小百分比:50 會使圖像保留原始尺寸的 50%,周圍以黑色填充。提供此設定時,會按指定百分比縮小圖像,並以黑色邊緣填滿釋出的空間。
prompt選填
類型string
預設值
≤ 500 個字元
在基礎 outpaint 指示後加入的可選 outpainting 指引,例如:'with a beautiful sunset in the background'。
seed選填
類型integer | null
可重現圖像的種子:模型版本不變時,相同的提示詞與種子會產生相同圖像。
num_images選填 num_outputs
類型integer
預設值1
1 – 4
要產生的圖像數量。
enable_safety_checker選填
類型boolean
預設值true
安全檢查器啟用狀態;true 會啟用檢查。
output_format選填
類型enum
預設值png
pngjpegjpgwebp
結果圖像的檔案格式。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "image-apps-v2/outpaint",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 70,
    "usd": "0.07",
    "charged": 70,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
images
array of object {url, content_type, file_name, file_size, width, height}顯示透過 outpainting 延展後場景的圖像。
seed
integer生成期間套用的種子值。

更多模型:圖像編輯

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/image-apps-v2/outpaint.md. 所有模型與指南: https://doitong.com/developers/llms.txt